Bug 1729614 - Layer dialog in KDE is missing options and indications for colours of layers and if active or deactivated.
Summary: Layer dialog in KDE is missing options and indications for colours of layers ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qcad
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 21:46 UTC by Robin Laing
Modified: 2019-11-27 23:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:01:03 UTC


Attachments (Terms of Use)
Screen cap of 3.20.1.3 (607.82 KB, image/png)
2019-07-12 21:46 UTC, Robin Laing
no flags Details
3.22.1.0 screen cap (656.06 KB, image/png)
2019-07-12 21:47 UTC, Robin Laing
no flags Details
dxf file that I use as a test file. (63.34 KB, image/vnd.dxf)
2019-07-14 04:10 UTC, Robin Laing
no flags Details

Description Robin Laing 2019-07-12 21:46:04 UTC
Created attachment 1590046 [details]
Screen cap of 3.20.1.3

Description of problem: From a previous version before 3.20.1.3, on Fedora and according to screen shots on qcad.org, the Layer List should indicate where the layer is active and the layer colour.

In version 3.20.1.3, there is no layer colour displayed but the ability to lock and turn the layer visibility is available on the Layer List.

In version 3.22.1.0, the Layer List dialog has lost the ability to turn on visibility, and lock the layer with a simple click.  Colour of layer is still not visible.  Added issue is when selecting the layer while drawing, it is very easy to accidentally lock the layer which stops any editing of the layer.  User doesn't kmnow if the layer is locked unless they see an error message in the status line.



Version-Release number of selected component (if applicable):
Version 3.22.1.0
Version 3.20.1.3

How reproducible:
100% in my tests.  Removed, dnf clean all and reinstall.


Steps to Reproduce:
1.  Open qcad
2.  Open an existing drawing with multiple layers.
3.  Look at the Layer list dialog

Actual results:
Items missing in the dialog

Expected results:
Full options and proper operation in the dialog.

Additional info:
I am not sure when the change occurred in the dialog and the colour indication disappeared.

Comment 1 Robin Laing 2019-07-12 21:47:25 UTC
Created attachment 1590047 [details]
3.22.1.0 screen cap

Just a screen cap of the latest version in updates testing.

Comment 2 Robin Laing 2019-07-14 04:10:20 UTC
Created attachment 1590472 [details]
dxf file that I use as a test file.

This file was created some time ago and I use it for testing.  

The concrete hatch pattern is not included with the latest qcad.  Older one had a concrete pattern.  Will check further.


While trying to 
Warning:  RTransaction::addObject: entity not editable (locked or hidden layer)
Warning:  RTransaction::addObject: entity not editable (locked or hidden layer)
Warning:  RTransaction::addObject: entity not editable (locked or hidden layer)
Warning:  RTransaction::addObject: entity not editable (locked or hidden layer)
Warning:  RTransaction::addObject: entity not editable (locked or hidden layer)
Warning:  RTransaction::addObject: entity not editable (locked or hidden layer)
Warning:  RTransaction::addObject: entity not editable (locked or hidden layer)
Warning:  RTransaction::addObject: entity not editable (locked or hidden layer)

With this file, layer locked automatically and I cannot find a way to unlock the layer since there is no unlock selector button on the layer list.

Comment 3 Robin Laing 2019-07-14 04:48:12 UTC
Other console error messages that didn't show up in the previous version of qcad with the same file.  Using Version 3.22.1.0  Not sure if relevant.  It may also be that during testing, I lost all my additional libraries that I was using.


Warning:  Script Exception:
 "TypeError: Result of expression 'model' [null] is not an object."
Warning:  "<anonymous>() at /usr/lib64/qcad/scripts/Widgets/LibraryBrowser/LibraryBrowser.js:744\n<anonymous>(index = 1) at /usr/lib64/qcad/scripts/Widgets/LibraryBrowser/LibraryBrowser.js:1901\n<native>() at -1\nmain() at scripts/autostart.js:819\n<global>() at scripts/autostart.js:832"
Warning:  Script Exception:
 "TypeError: Result of expression 'model' [null] is not an object."
Warning:  "<anonymous>() at /usr/lib64/qcad/scripts/Widgets/LibraryBrowser/LibraryBrowser.js:744\n<anonymous>(index = 1) at /usr/lib64/qcad/scripts/Widgets/LibraryBrowser/LibraryBrowser.js:1901\n<native>() at -1\nmain() at scripts/autostart.js:819\n<global>() at scripts/autostart.js:832"
Warning:  QSqlQuery::exec: database not open
Critical: DbConnection.js: execQuery(): error: Driver not loaded Driver not loaded
Critical: DbConnection.js: execQuery(): query failed:

Comment 4 Ben Cotton 2019-10-31 19:03:42 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 23:01:03 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.